Novell.Directory.Ldap 1.0.5000.0 System.Reflection.AssemblyKeyFile(KeyFile="../mono.pub") System.Reflection.AssemblyDelaySign(DelaySign=True) System.CLSCompliant(IsCompliant=True) System.Reflection.AssemblyCulture(Culture="") System.Reflection.AssemblyTrademark(Trademark="") System.Reflection.AssemblyCopyright(Copyright=" (C) 2003 Novell, Inc") System.Reflection.AssemblyProduct(Product="") System.Reflection.AssemblyCompany(Company="Novell, Inc") System.Reflection.AssemblyConfiguration(Configuration="") System.Reflection.AssemblyDescription(Description="Novell.Directory.Ldap") System.Reflection.AssemblyTitle(Title="C# LDAP") System.Exception System.Runtime.Serialization.ISerializable
- Constructor
  To be added.
  To be added.
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Field
  System.Int32 0 Indicates the requested client operation completed successfully. To be added.
- Field
  System.Int32 1 Indicates an internal error.

  Indicates an internal error.

  The server is unable to respond with a more specific error and is also unable to properly respond to a request. It does not indicate that the client has sent an erroneous message.

- Field
  System.Int32 2 Indicates that the server has received an invalid or malformed request from the client. To be added.
- Field
  System.Int32 3 Indicates that the operation's time limit specified by either the client or the server has been exceeded. On search operations, incomplete results are returned.
- Field
  System.Int32 4 Indicates that in a search operation, the size limit specified by the client or the server has been exceeded. Incomplete results are returned.
- Field
  System.Int32 5 Does not indicate an error condition. Indicates that the results of a compare operation are false.
- Field
  System.Int32 6 Does not indicate an error condition. Indicates that the results of a compare operation are true.
- Field
  System.Int32 7 Indicates that during a bind operation the client requested an authentication method not supported by the LDAP server. To be added.
- Field
  System.Int32 8 Indicates a problem with the level of authentication.

  Indicates a problem with the level of authentication.

  One of the following has occurred:

  In bind requests, the LDAP server accepts only strong authentication.
  In a client request, the client requested an operation such as delete that requires strong authentication.
  In an unsolicited notice of disconnection, the LDAP server discovers the security protecting the communication between the client and server has unexpectedly failed or been compromised.
- Field
  System.Int32 9 Returned by some LDAP servers to LDAPv2 clients to indicate that a referral has been returned in the error string. To be added.
- Field
  System.Int32 10 Does not indicate an error condition.

  Does not indicate an error condition.

  In LDAPv3, indicates that the server does not hold the target entry of the request, but that the servers in the referral field may.

- Field
  System.Int32 11 Indicates that an LDAP server limit set by an administrative authority has been exceeded. To be added.
- Field
  System.Int32 12 Indicates that the LDAP server was unable to satisfy a request because one or more critical extensions were not available. Either the server does not support the control or the control is not appropriate for the operation type.
- Field
  System.Int32 13 Indicates that the session is not protected by a protocol such as Transport Layer Security (TLS), which provides session confidentiality. To be added.
- Field
  System.Int32 14 Does not indicate an error condition, but indicates that the server is ready for the next step in the process. The client must send the server the same SASL mechanism to continue the process.
- Field
  System.Int32 16 Indicates that the attribute specified in the modify or compare operation does not exist in the entry. To be added.
- Field
  System.Int32 17 Indicates that the attribute specified in the modify or add operation does not exist in the LDAP server's schema. To be added.
- Field
  System.Int32 18 Indicates that the matching rule specified in the search filter does not match a rule defined for the attribute's syntax. To be added.
- Field
  System.Int32 19 Indicates that the matching rule specified in the search filter does not match a rule defined for the attribute's syntax. To be added.
- Field
  System.Int32 20 Indicates that the attribute value specified in a modify or add operation already exists as a value for that attribute. To be added.
- Field
  System.Int32 21 Indicates that the attribute value specified in an add, compare, or modify operation is an unrecognized or invalid syntax for the attribute. To be added.
- Field
  System.Int32 32 Indicates the target object cannot be found.

  Indicates the target object cannot be found.

  This code is not returned on the following operations:

  Search operations that find the search base but cannot find any entries that match the search filter.
  Bind operations.
- Field
  System.Int32 33 Indicates that an error occurred when an alias was dereferenced. To be added.
- Field
  System.Int32 34 Indicates that the syntax of the DN is incorrect.

  Indicates that the syntax of the DN is incorrect.

  If the DN syntax is correct, but the LDAP server's structure rules do not permit the operation, the server returns LDAP_UNWILLING_TO_PERFORM.

- Field
  System.Int32 35 Indicates that the specified operation cannot be performed on a leaf entry.

  This code is not currently in the LDAP specifications, but is reserved for this constant.

- Field
  System.Int32 36 Indicates that during a search operation, either the client does not have access rights to read the aliased object's name or dereferencing is not allowed. To be added.
- Field
  System.Int32 48 Indicates that during a bind operation, the client is attempting to use an authentication method that the client cannot use correctly.

  Indicates that during a bind operation, the client is attempting to use an authentication method that the client cannot use correctly.

  For example, either of the following cause this error:

  The client returns simple credentials when strong credentials are required.
  The client returns a DN and a password for a simple bind when the entry does not have a password defined.
- Field
  System.Int32 49 Indicates that invalid information was passed during a bind operation.

  Indicates that invalid information was passed during a bind operation.

  One of the following occurred:

  The client passed either an incorrect DN or password.
  The password is incorrect because it has expired, intruder detection has locked the account, or some other similar reason.
- Field
  System.Int32 50 Indicates that the caller does not have sufficient rights to perform the requested operation. To be added.
- Field
  System.Int32 51 Indicates that the LDAP server is too busy to process the client request at this time, but if the client waits and resubmits the request, the server may be able to process it then. To be added.
- Field
  System.Int32 52 Indicates that the LDAP server cannot process the client's bind request, usually because it is shutting down. To be added.
- Field
  System.Int32 53 Indicates that the LDAP server cannot process the request because of server-defined restrictions.

  This error is returned for the following reasons:

  The add entry request violates the server's structure rules.
  The modify attribute request specifies attributes that users cannot modify.
- Field
  System.Int32 54 Indicates that the client discovered an alias or referral loop, and is thus unable to complete this request. To be added.
- Field
  System.Int32 64 Indicates that the add or modify DN operation violates the schema's structure rules.

  Indicates that the add or modify DN operation violates the schema's structure rules.

  For example,

  The request places the entry subordinate to an alias.
  The request places the entry subordinate to a container that is forbidden by the containment rules.
  The RDN for the entry uses a forbidden attribute type.
- Field
  System.Int32 65 Indicates that the add, modify, or modify DN operation violates the object class rules for the entry. To be added.
- Field
  System.Int32 66 Indicates that the requested operation is permitted only on leaf entries. To be added.
- Field
  System.Int32 67 Indicates that the modify operation attempted to remove an attribute value that forms the entry's relative distinguished name. To be added.
- Field
  System.Int32 68 Indicates that the add operation attempted to add an entry that already exists, or that the modify operation attempted to rename an entry to the name of an entry that already exists. To be added.
- Field
  System.Int32 69 Indicates that the modify operation attempted to modify the structure rules of an object class. To be added.
- Field
  System.Int32 71 Indicates that the modify DN operation moves the entry from one LDAP server to another and thus requires more than one LDAP server. To be added.
- Field
  System.Int32 80 Indicates an unknown error condition. To be added.
- Field
  System.Int32 81 Indicates that the LDAP libraries cannot establish an initial connection with the LDAP server. Either the LDAP server is down or the specified host name or port number is incorrect. Either the LDAP server is down or the specified host name or port number is incorrect.
- Field
  System.Int32 82 Indicates that the LDAP client has an error. This is usually a failed dynamic memory allocation error. This is usually a failed dynamic memory allocation error.
- Field
  System.Int32 83 Indicates that the LDAP client encountered errors when encoding an LDAP request intended for the LDAP server. To be added.
- Field
  System.Int32 84 Indicates that the LDAP client encountered errors when decoding an LDAP response from the LDAP server. To be added.
- Field
  System.Int32 85 Indicates that the time limit of the LDAP client was exceeded while waiting for a result. To be added.
- Field
  System.Int32 86 Indicates that a bind method was called with an unknown authentication method. To be added.
- Field
  System.Int32 87 Indicates that the search method was called with an invalid search filter. To be added.
- Field
  System.Int32 88 Indicates that the user cancelled the LDAP operation. To be added.
- Field
  System.Int32 90 Indicates that a dynamic memory allocation method failed when calling an LDAP method. To be added.
- Field
  System.Int32 91 Indicates that the LDAP client has lost either its connection or cannot establish a connection to the LDAP server. To be added.
- Field
  System.Int32 92 Indicates that the requested functionality is not supported by the client. For example, if the LDAP client is established as an LDAPv2 client, the libraries set this error code when the client requests LDAPv3 functionality.

  Indicates that the requested functionality is not supported by the client.

  For example, if the LDAP client is established as an LDAPv2 client, the libraries set this error code when the client requests LDAPv3 functionality.

- Field
  System.Int32 93 Indicates that the client requested a control that the libraries cannot find in the list of supported controls sent by the LDAP server. To be added.
- Field
  System.Int32 94 Indicates that the LDAP server sent no results. To be added.
- Field
  System.Int32 95 Indicates that more results are chained in the result message. To be added.
- Field
  System.Int32 96 Indicates the LDAP libraries detected a loop. Usually this happens when following referrals. To be added.
- Field
  System.Int32 97 Indicates that the referral exceeds the hop limit. To be added.
- Field
  System.Int32 100 Indicates that the server response to a request is invalid. To be added.
- Field
  System.Int32 101 Indicates that the server response to a request is ambiguous. To be added.
- Field
  System.Int32 112 Indicates that TLS is not supported on the server. To be added.
- Method
  System.String To be added. To be added. To be added.
- Method
  System.String `` To be added. To be added. To be added. To be added.
- Method
  System.String `` To be added. To be added. To be added. To be added.
- Method
  System.String `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  System.String To be added. To be added. To be added.
- Property
  System.Exception To be added. To be added. To be added.
- Property
  System.Int32 To be added. To be added. To be added.
- Property
  System.String To be added. To be added. To be added.

Thrown to indicate that an LDAP exception has occurred. This is a general exception which includes a message and an LDAP result code.

An LDAPException can result from physical problems (such as network errors) as well as problems with LDAP operations detected by the server. For example, if an LDAP add operation fails because of a duplicate entry, the server returns a result code.